//================================================
static int compareDoubles (void const *a, void const *b)
{
       const double *da = (const double *) a;
       const double *db = (const double *) b;
     
       return (*da > *db) - (*da < *db);
}


// ===============================================
int betterThan(struct fitness f1, struct fitness f2)
{
	int n,n1,n2;

	if(f1.size==1) goto fitness; // No constraints (except the search space)

	// Criterion "Number of respected constraints
	n1=0;
	n2=0;

	for(n=1;n<f1.size;n++)
	{
		if(f1.f[n]<0) n1=n1+1;
		if(f2.f[n]<0) n2=n2+1;
	}

	if(n1>n2) return 1; 
	if(n1<n2) return 0;

	// Here, n1=n2

	fitness:
		// Criterion "Total Fitness"
		if(errorFC(f1)<errorFC(f2)-zero) return 1; 
			return 0;

}